Method: metricDefinitions.patch

Full name: projects.locations.instances.metricDefinitions.patch

Updates a MetricDefinition. For now, only the state can be updated.

HTTP request

PATCH https://{endpoint}/v1alpha/{metricDefinition.name}

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
metricDefinition.name

string

Identifier. The unique resource name of the MetricDefinition. Format: projects/{project}/locations/{location}/instances/{instance}/metricDefinitions/{metricDefinition} The resource ID will be used as a display name in the SecOps UI. This ID can be at most 63 characters long, must begin with a letter, and may only contain lowercase alphanumeric characters and underscores, i.e. it must match a regular expression of [a-z][_a-z0-9]{0,61}[a-z0-9]. Only Google-defined MetricDefinitions may begin with "google_".

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. The list of fields to update. For now, only the state can be updated. If any other fields (or *) are specified, an error will be returned and the resource won't be updated.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of MetricDefinition.

Response body

If successful, the response body contains an instance of MetricDefinition.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.